Description

The foreman-installer script eliminates all httpd configuration data from /etc/httpd/conf*.

Mode: Configure foreman is the only item checked in the interactive configuration menu.

Expectation, I should be able to install the Foreman on an existing system without the destruction of existing data.

Marking as High due to the unexpected destruction of system configuration data.

History

#1 - 02/09/2015 03:29 PM - Trevor Vaughan

Hi all,

Any update here? It would be really nice not to have my apache config get destroyed at random with no warning.

#2 - 02/10/2015 03:55 AM - Dominic Cleal

This is the default behaviour of the apache module that we use, which we can't easily influence right now.  Perhaps if we can start managing its class

parameters we can expose options to prevent it purging, but that isn't possible with kafo as the class is undocumented.

#3 - 05/20/2017 05:20 AM - Anonymous

- Status changed from New to Rejected

works as designed.

#4 - 07/10/2020 12:11 AM - E.S. Rosenberg

I can understand that due to limitations of what is being used this is unavoidable, what I can't understand though is why the installer does not prompt

and warn that this is about to happen before being destructive.

I just ran foreman-installer on a server that was already providing a service (granted in it's testing phase) and am less then amused that all apache

configs were destroyed without ever being warned ahead of time that this process would be destructive.

It would seem that adding a warning prompt at the beginning of the process allowing premature stopping would be wise.
